summaryrefslogtreecommitdiff
path: root/tests/du
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-08-15 13:12:48 +0000
committerJim Meyering <jim@meyering.net>2000-08-15 13:12:48 +0000
commit70b951593ed7926f4d9a784f0f0e285876e2628c (patch)
tree9768d1c2daf8955ebbead47325f0f0fd09d2796d /tests/du
parent614723b9c1bfb4d1993c1c3864065fa79ca7e7ee (diff)
downloadcoreutils-70b951593ed7926f4d9a784f0f0e285876e2628c.tar.xz
Add tests for just-fixed bug.
Diffstat (limited to 'tests/du')
-rwxr-xr-xtests/du/two-args5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/du/two-args b/tests/du/two-args
index 1e450c3d6..6de6d0fe8 100755
--- a/tests/du/two-args
+++ b/tests/du/two-args
@@ -16,4 +16,9 @@ mkdir -p $tmp/1 $tmp/2
test -d $tmp || fail=1
du $tmp/1 $tmp/2 > /dev/null || fail=1
+# Make sure `du . $tmp' and `du .. $tmp' work.
+# These would fail prior to fileutils-4.0y.
+du . $tmp > /dev/null || fail=1
+du .. $tmp > /dev/null || fail=1
+
exit $fail